build-job:
  stage: build
  script:
    - echo "Hello, $GITLAB_USER_LOGIN!"
   
test-job1:
  stage: test
  script:
    - echo "This job tests something"
   
test-job2:
  stage: test
  script:
    - echo "This job tests something, but takes more time than test-job1."
    - echo "After the echo commands complete, it runs the sleep command for 20 seconds"
    - echo "which simulates a test that runs 20 seconds longer than test-job1"
    - sleep 20
   
deploy-prod:
  stage: deploy
  script:
    - echo "This job deploys something from the $CI_COMMIT_BRANCH branch."
  environment: production

editorconfig-checker:
  image: centos:latest
  variables:
    OS: linux
    ARCH: amd64
  script:
    - if [[ -n "$EC_VERSION" ]]; then download="download/${EC_VERSION}"; else download="latest/download"; fi
    - curl -L -C - "https://github.com/editorconfig-checker/editorconfig-checker/releases/${download}/ec-${OS}-${ARCH}.tar.gz" | tar zxv
    - mv "./bin/ec-${OS}-${ARCH}" /usr/local/bin/editorconfig-checker
    - editorconfig-checker